# Interface TableActionMethodOptions<Data>

interface TableActionMethodOptions<Data> {
checkFunction?: RowActionCheckFunction<Data>;
color?: ThemePalette;
confirm?: boolean;
errorMessage?: string;
priority?: number;
refresh?: boolean;
successMessage?: string;
tooltip?: string;
type?: string;
}

#### Type Parameters

- Data = any

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:16

#####
Index

### Properties

checkFunction?
color?
confirm?
errorMessage?
priority?
refresh?
successMessage?
tooltip?
type?

## Properties

### `Optional` checkFunction

checkFunction?: RowActionCheckFunction<Data>

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:18

### `Optional` color

color?: ThemePalette

The color of the action button.

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:52

### `Optional` confirm

confirm?: boolean

If true, the user will be asked to confirm the action before execution.

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:26

### `Optional` errorMessage

errorMessage?: string

The error message that will be displayed if the action fails.

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:35

### `Optional` priority

priority?: number

The priority of the action. If multiple action with the same type exists. The action with the highest priority will be used. To set the defaults for the directive.

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:47

### `Optional` refresh

refresh?: boolean

If true, the table will be refreshed after the action is executed.

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:22

### `Optional` successMessage

successMessage?: string

The success message that will be displayed if the action succeeds.

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:40

### `Optional` tooltip

tooltip?: string

The tooltip of the action button.

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:30

### `Optional` type

type?: string

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:17